# QTextObject Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QTextObject prototype object

### Prototype Object Properties

The QTextObject prototype object inherits properties from the QObject prototype object and also has the following properties.

- QTextDocument document()
- QTextFormat format()
- int formatIndex()
- int objectIndex()

### Instance Properties

QTextObject objects have no special properties beyond those inherited from the QTextObject prototype object.